overwrite: true
schema:
  - backend/schema.graphql

documents: 'frontend/src/**/*.graphql'
generates:
  frontend/src/gql/index.tsx:
    config:
      skipTypename: true
      maybeValue: T | undefined
      withHooks: true
      withComponent: false
      withHOC: false
      apolloReactHooksImportFrom: '@apollo/client'
      gqlImport: '@apollo/client#gql'
    plugins:
      - add: '/* eslint-disable */'
      - 'typescript'
      - 'typescript-operations'
      - 'typescript-react-apollo'
